Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-utils-merge
Version:        1.0.1
Release:        alt1_4
Summary:        Node.js module to merge properties between objects

License:        MIT
URL:            https://www.npmjs.com/package/utils-merge
Source0:        https://github.com/jaredhanson/utils-merge/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
Source44: import.info

%description
Merges the properties from a source object into a destination object.


%prep
%setup -q -n utils-merge-%{version}

rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/utils-merge
cp -r package.json index.js %{buildroot}/%{nodejs_sitelib}/utils-merge
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --require test/bootstrap/node test/*.test.js


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/utils-merge


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_4
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt0.1.njs.bootstrap
- bootstrap

